/*
 * @(#)SSOException.java
 *
 * Copyright (C) 2006 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso;

/**
 * シングルサインオン実行時例外。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2006/10/18 18:29:30 $
 */
public class SSOException extends Exception {

	/**
	 * コンストラクタ。
	 */
	public SSOException() {
		super();
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 */
	public SSOException(String message) {
		super(message);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param cause 原因
	 */
	public SSOException(Throwable cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 * @param cause 原因
	 */
	public SSOException(String message, Throwable cause) {
		super(message, cause);
	}

}
